<?php

namespace App\Cells\Equipment;

use App\Services\Equipment\ServerService;

class ServerCell extends EquipmentCell
{

  public function __construct()
  {
    parent::__construct(new ServerService());
  }

  //서비스 방식에 따른 서비스별 Count
  final public function totalCountDashboard(array $params): string
  {
    $totalCounts = $this->getService()->getTotalServiceCount(array_key_exists('where', $params) ? $params['where'] : []);
    $template = array_key_exists('template', $params) ? $params['template'] : __FUNCTION__;
    return view('cells/server/' . $template, [
      'serviceCellDatas' => [
        'control' => $this->getService()->getControlDatas(),
        'service' => $this->getService(),
        'label' => $params['where']['serviceinfo.site'],
        'totalCounts' => $totalCounts,
      ]
    ]);
  }
}
